[arch-commits] Commit in haskell-hashed-storage/trunk (PKGBUILD)

Vesa Kaihlavirta vesa at archlinux.org
Sun Dec 27 08:31:34 EST 2009


    Date: Sunday, December 27, 2009 @ 08:31:34
  Author: vesa
Revision: 61858

-p --enable-split-objs --enable-shared

Modified:
  haskell-hashed-storage/trunk/PKGBUILD

----------+
 PKGBUILD |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-12-27 13:13:48 UTC (rev 61857)
+++ PKGBUILD	2009-12-27 13:31:34 UTC (rev 61858)
@@ -2,21 +2,21 @@
 # Contributor: Arch Haskell Team <arch-haskell at haskell.org>
 # Package generated by cabal2arch 0.5.3
 pkgname=haskell-hashed-storage
-pkgrel=1
+pkgrel=2
 pkgver=0.3.9
 pkgdesc="Hashed file storage support code."
 url="http://hackage.haskell.org/cgi-bin/hackage-scripts/package/hashed-storage"
 license=('custom:BSD3')
 arch=('i686' 'x86_64')
 makedepends=()
-depends=('ghc=6.12.1' 'haskell-cabal' 'haskell-extensible-exceptions' 'haskell-mmap>=0.4' 'haskell-zlib' 'haskell-binary' 'haskell-mtl' 'haskell-dataenc')
+depends=('ghc=6.12.1' 'haskell-extensible-exceptions' 'haskell-mmap>=0.4' 'haskell-zlib'  'haskell-mtl' 'haskell-dataenc')
 options=('strip')
 source=(http://hackage.haskell.org/packages/archive/hashed-storage/$pkgver/hashed-storage-$pkgver.tar.gz)
 install=haskell-hashed-storage.install
 
 build() {
     cd $srcdir/hashed-storage-$pkgver
-    runhaskell Setup configure --prefix=/usr || return 1
+    runhaskell Setup configure --prefix=/usr -p --enable-split-objs --enable-shared || return 1
     runhaskell Setup build                   || return 1
     runhaskell Setup register   --gen-script || return 1
     runhaskell Setup unregister --gen-script || return 1



More information about the arch-commits mailing list